import { services } from 'typescript-angular-utilities';
import __notification = services.notification;
import __timeout = services.timeout;
import { BusyComponent } from '../../busy/busy';
import { ButtonAsyncComponent } from '../buttonAsync/buttonAsync';
export declare class ButtonLongClickComponent extends ButtonAsyncComponent {
    warning: string;
    busySpinner: BusyComponent;
    duration: number;
    active: boolean;
    timer: __timeout.ITimeout;
    notification: __notification.INotificationService;
    timeoutService: __timeout.TimeoutService;
    constructor(notification: __notification.NotificationService, timeoutService: __timeout.TimeoutService);
    startAction($event: MouseEvent): void;
    stopAction(): void;
    private cleanup();
    private warn();
}
